<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../../DTD/geometry.dtd">
<DDDB>
<!-- """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""" --> 
<!--   
  CVS tag: $Name: not supported by cvs2svn $
  $Log: not supported by cvs2svn $
  Revision 1.6  2005/06/06 15:59:43  gcorti
  Calo tilt

  Revision 1.5  2003/07/10 14:56:28  cattanem
  changes for v17r0 - see release notes

  Revision 1.4  2003/06/19 06:18:22  cattanem
  v16r0

  Revision 1.3  2002/09/12 09:32:58  cattanem
  Add vertical Rich, Velo optimisation

  Revision 1.2  2002/01/19 13:58:42  ibelyaev
   fix the bug with material names/paths

  Revision 1.1  2001/12/15 16:05:37  ibelyaev
  The first version of  detailed Ecal description by Galina Pakhlova
 
--> 
<!-- """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""" --> 
<!-- ****************************************************************** --> 
<!--                     Ecal Middle Cell Geometry                      -->
<!--                    Logical Volumes Definition                      --> 
<!-- ****************************************************************** --> 

 <logvol name = "MidCell" material = "Ecal/EcalSc" sensdet="EcalSensDet/Ecal">
         <box  name  = "Middle_Cell_Main_Box"
               sizeX = "EcalMidCellXYSize"
               sizeY = "EcalMidCellXYSize"
               sizeZ = "EcalStackLength"/>

<!-- %%%  Front Steel Matrix Installation into Middle Cell %%%  -->
                        
      <physvol name = "MidFrontSteelMatrix"
               logvol = "/dd/Geometry/DownstreamRegion/Ecal/Modules/MidCellSteel">
                  <posXYZ z = "EcalSteelOffset"/>
      </physvol>

<!-- %%%  Back Steel Matrix Installation into Middle Cell %%%  -->

      <physvol name = "MidBackSteelMatrix"
               logvol = "/dd/Geometry/DownstreamRegion/Ecal/Modules/MidCellSteel">
                  <posXYZ z = "-1*EcalSteelOffset"/>
      </physvol>

<!-- %%%  Front Plastic Installation into Middle Cell %%%  --> 
                                      
      <physvol name = "MidFrontPlastic"
               logvol = "/dd/Geometry/DownstreamRegion/Ecal/Modules/MidCellPlastic">
                   <posXYZ  z = "EcalPlasticOffset"/>
      </physvol>

<!-- %%%  Back Plastic Installation into Middle Cell %%%  --> 
 
      <physvol name = "MidBackPlastic"
               logvol = "/dd/Geometry/DownstreamRegion/Ecal/Modules/MidCellPlastic">
                  <posXYZ   z = "-1*EcalPlasticOffset"/>
      </physvol>


<!-- %%%  Pb Cells Installation into Middle Cell %%%  --> 

        <paramphysvol number = "66">
          <physvol name = "Middle_Pb_Cells"
                   logvol = "/dd/Geometry/DownstreamRegion/Ecal/Modules/MidCellPb">
                       <posXYZ   z = "EcalPbOffset"/>
          </physvol>
               <posXYZ  z = "EcalScThick + EcalPbThick + 2*EcalPaperThick"/>
        </paramphysvol>

 </logvol>
<!-- ****************************************************************** --> 
</DDDB> 


